通过安装 Debian 修补程序、单独部署 VMware Integrated OpenStack 3.0 或 3.1 并从现有 VMware Integrated OpenStack 部署迁移到新的已升级部署,可以将 VMware Integrated OpenStack 升级到 VMware Integrated OpenStack 3.0 或 3.1

开始之前

  • 确认除 memcache 和 RabbitMQ 节点之外,每个节点都具有匹配的资源。请参见 VMware Integrated OpenStack 安装和配置指南 中的硬件要求。

  • 备份当前部署。有关详细信息,请参见备份 VMware Integrated OpenStack 部署

  • 要保留您的当前 VMware Integrated OpenStack 配置,将其作为配置文件从 VMware Integrated OpenStack 管理器中导出。

关于此任务

此更新过程要求 vSphere 支持现有部署和升级后的部署。您必须使其他资源、数据存储和 IP 地址等可用,才能完成升级过程。vSphere 继续保留两个部署,直到您确定升级过程成功且无需回滚到之前的 VMware Integrated OpenStack 部署。

重要:

升级过程仅会保留在 custom.yml 文件中配置的自定义设置。不会保留直接对 OpenStack 部署进行的任何更改或自定义(例如 SWIFT)。OpenStack 管理员负责跟踪此类更改并在升级后重新应用它们。

注:

如果要从 VMware Integrated OpenStack 2.5.1 进行升级,则仅支持升级到 VMware Integrated OpenStack 3.1。